pqxx::string_traits< char[N]> Struct Template Reference

String traits for C-style string constant ("array of char") More...

`#include <strconv.hxx>`

## Static Public Member Functions

static constexpr const char * | name () noexcept
static constexpr bool | has_null () noexcept
static bool | is_null (const char t[])
static const char * | null ()
static std::string | to_string (const char Obj[])

## Detailed Description

### template<size_t N>
struct pqxx::string_traits< char[N]>

String traits for C-style string constant ("array of char")

## Member Function Documentation

## has_null()

template<size_t N>

static constexpr bool pqxx::string_traits< char[N]>::has_null | ( |  | ) |

static constexpr noexcept

## is_null()

template<size_t N>

static bool pqxx::string_traits< char[N]>::is_null | ( | const char | t[] | ) |

static

## name()

template<size_t N>

static constexpr const char* pqxx::string_traits< char[N]>::name | ( |  | ) |

static constexpr noexcept

## null()

template<size_t N>

static const char* pqxx::string_traits< char[N]>::null | ( |  | ) |

static

## to_string()

template<size_t N>

static std::string pqxx::string_traits< char[N]>::to_string | ( | const char | Obj[] | ) |

static

The documentation for this struct was generated from the following file:

- strconv.hxx